Package javax.mail

## Class Header

- java.lang.Object
- - javax.mail.Header

Direct Known Subclasses:
  `InternetHeaders.InternetHeader`

    public class Header
    extends java.lang.Object

The Header class stores a name/value pair to represent headers.

Author:
  John Mani

### Field Summary

Fields
`protected java.lang.String` `name` The name of the header.
`protected java.lang.String` `value` The value of the header.

### Constructor Summary

Constructors
`Header​(java.lang.String name, java.lang.String value)` Construct a Header object.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Returns the name of this header.
`java.lang.String` `getValue()` Returns the value of this header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

The name of the header.

Since:
  JavaMail 1.4

#### value

    protected java.lang.String value

The value of the header.

Since:
  JavaMail 1.4

### Constructor Detail

#### Header

    public Header​(java.lang.String name,
                  java.lang.String value)

Construct a Header object.

Parameters:
  `name` - name of the header
  `value` - value of the header

### Method Detail

#### getName

    public java.lang.String getName()

Returns the name of this header.

Returns:
  name of the header

#### getValue

    public java.lang.String getValue()

Returns the value of this header.

Returns:
  value of the header